SRC_IMG=$1
DST_IMG=$2
TMP_DIR=$3
LOGFILE=$4
IMAGE_PATH=$9
IMAGE_NAME=${10}

echo Parameter all $*
echo Parameter 1   $1
echo Parameter 2   $2
echo Parameter 3   $3
echo Parameter 4   $4
echo Parameter 9   $9
echo Parameter 10  ${10}

DST_FILE="${IMAGE_PATH}/${IMAGE_NAME}.jp2"

echo jpeg-2000.sh parameter  "${SRC_IMG}" "${DST_FILE}"
convert-image "${SRC_IMG}" "${DST_FILE}"
RESULT=$?


if [ -f "${DST_FILE}" ] && [ -s "${DST_FILE}" ]
then 
    echo "${DST_FILE} file exist"
else
    echo "${DST_FILE} file does not exist, or is empty "
    exit 1
fi

exit $RESULT

